ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009051ClearOSapp-ssh-server - SSH Serverpublic2016-06-03 09:072016-12-16 14:04
Reporterdloper 
Assigned Topbaldwin 
PrioritylowSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.2.0 
Target Version7.3.0 Beta 1Fixed in Version7.3.0 Beta 1 
Summary0009051: App doesn't block ssh when using non-standard port
DescriptionFail2ban is unaware of port changes made in app-ssh-server. When configuring fail2ban or when configuring app-ssh-server, these two should be marginally aware of each other.

If the port was changed to 222 then changes could be made to:

port = 222

in jail.d/clearos-sshd.conf
and jail.d/clearos-sshd-ddos.conf

Alternately, you can block all traffic based on the hit using:

banaction = iptables-allports

in /etc/fail2ban/jail.conf
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-06-03 09:07 dloper New Issue
2016-06-13 08:23 pbaldwin Status new => confirmed
2016-11-16 09:12 pbaldwin Target Version 7.3.0 Beta 1 => 7.3.0 Beta 1
2016-12-09 14:01 pbaldwin Category app-attack-detector - Attack Detector => app-ssh-server - SSH Server
2016-12-09 14:01 pbaldwin Status confirmed => resolved
2016-12-09 14:01 pbaldwin Fixed in Version => 7.3.0 Beta 1
2016-12-09 14:01 pbaldwin Resolution open => fixed
2016-12-09 14:01 pbaldwin Assigned To => pbaldwin
2016-12-16 14:04 pbaldwin Status resolved => closed